Bug 1103863 - yum install katello-agent does not start goferd service
Summary: yum install katello-agent does not start goferd service
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Management
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-02 18:54 UTC by Tom McKay
Modified: 2019-09-26 14:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-02 14:08:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 5095 0 None None None 2016-04-22 16:56:47 UTC

Description Tom McKay 2014-06-02 18:54:14 UTC
After yum installing katello-agent from http://fedorapeople.org/groups/katello/releases/yum/nightly/RHEL/6Server/x86_64/ the goferd service is not running after the install completes.

Comment 1 Tom McKay 2014-06-02 18:54:16 UTC
Created from redmine issue http://projects.theforeman.org/issues/5095

Comment 4 Bryan Kearney 2014-06-11 12:38:14 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/5095 has been closed

Comment 6 Kedar Bidarkar 2014-06-12 10:13:45 UTC
veirifed with sat6-snap9

Upon running "Yum install katello-agent", goferd service is restarted as seen below.

Downloading Packages:
(1/3): gofer-1.2.1-1.el6sat.noarch.rpm                   |  71 kB     00:00     
(2/3): katello-agent-1.5.3-4.el6sat.noarch.rpm                                                                                                                         |  20 kB     00:00     
(3/3): python-gofer-1.2.1-1.el6sat.noarch.rpm                                                                                                                          | 117 kB     00:01     
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                          46 kB/s | 208 kB     00:04     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating   : python-gofer-1.2.1-1.el6sat.noarch                                                                                                                                         1/4 
  Installing : gofer-1.2.1-1.el6sat.noarch                                                                                                                                                2/4 
  Installing : katello-agent-1.5.3-4.el6sat.noarch                                                                                                                                        3/4 
Stopping goferd[FAILED]
Starting goferd[  OK  ]
  Cleanup    : python-gofer-1.0.13-1.el6sat.noarch                                                                                                                                        4/4 
  Verifying  : gofer-1.2.1-1.el6sat.noarch                                                                                                                                                1/4 
  Verifying  : python-gofer-1.2.1-1.el6sat.noarch                                                                                                                                         2/4 
  Verifying  : katello-agent-1.5.3-4.el6sat.noarch                                                                                                                                        3/4 
  Verifying  : python-gofer-1.0.13-1.el6sat.noarch 



--------------------------------


Installed Packages

    candlepin-0.9.7-1.el6_5.noarch
    candlepin-scl-1-5.el6_4.noarch
    candlepin-scl-quartz-2.1.5-5.el6_4.noarch
    candlepin-scl-rhino-1.7R3-1.el6_4.noarch
    candlepin-scl-runtime-1-5.el6_4.noarch
    candlepin-selinux-0.9.7-1.el6_5.noarch
    candlepin-tomcat6-0.9.7-1.el6_5.noarch
    createrepo-0.9.9-21.2.pulp.el6sat.noarch
    dhcp207-55.lab.eng.pnq.redhat.com-qpid-broker-1.0-1.noarch
    dhcp207-55.lab.eng.pnq.redhat.com-qpid-client-cert-1.0-1.noarch
    elasticsearch-0.90.10-4.el6sat.noarch
    katello-1.5.0-25.el6sat.noarch
    katello-ca-1.0-1.noarch
    katello-certs-tools-1.5.5-1.el6sat.noarch
    katello-installer-0.0.48-1.el6sat.noarch
    m2crypto-0.21.1.pulp-10.el6sat.x86_64
    mod_wsgi-3.4-1.pulp.el6sat.x86_64
    pulp-katello-0.3-3.el6sat.noarch
    pulp-nodes-common-2.4.0-0.20.beta.el6sat.noarch
    pulp-nodes-parent-2.4.0-0.20.beta.el6sat.noarch
    pulp-puppet-plugins-2.4.0-0.20.beta.el6sat.noarch
    pulp-puppet-tools-2.4.0-0.20.beta.el6sat.noarch
    pulp-rpm-plugins-2.4.0-0.20.beta.el6sat.noarch
    pulp-selinux-2.4.0-0.20.beta.el6sat.noarch
    pulp-server-2.4.0-0.20.beta.el6sat.noarch
    python-gofer-qpid-1.2.1-1.el6sat.noarch
    python-isodate-0.5.0-1.pulp.el6sat.noarch
    python-kombu-3.0.15-10.pulp.el6sat.noarch
    python-pulp-bindings-2.4.0-0.20.beta.el6sat.noarch
    python-pulp-common-2.4.0-0.20.beta.el6sat.noarch
    python-pulp-puppet-common-2.4.0-0.20.beta.el6sat.noarch
    python-pulp-rpm-common-2.4.0-0.20.beta.el6sat.noarch
    python-qpid-0.22-14.el6sat.noarch
    python-qpid-qmf-0.22-31.el6sat.x86_64
    qpid-cpp-client-0.22-40.el6.x86_64
    qpid-cpp-server-0.22-40.el6.x86_64
    qpid-cpp-server-linearstore-0.22-40.el6.x86_64
    qpid-proton-c-0.7-1.el6.x86_64
    qpid-qmf-0.22-31.el6sat.x86_64
    qpid-tools-0.22-12.el6.noarch
    ruby193-rubygem-katello-1.5.0-57.el6sat.noarch
    rubygem-hammer_cli_katello-0.0.4-6.el6sat.noarch

Comment 7 Bryan Kearney 2014-07-02 14:08:02 UTC
This was delivered with 6.0.3, which is the Satellite 6 Beta.


Note You need to log in before you can comment on or make changes to this bug.